<Type Name="ConfigXmlDocument" FullName="System.Configuration.ConfigXmlDocument">
  <TypeSignature Language="C#" Value="public sealed class ConfigXmlDocument : System.Xml.XmlDocument, ICloneable, IEnumerable, IXPathNavigable, IConfigXmlNode" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Xml.XmlDocument</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.ICloneable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Collections.IEnumerable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Xml.XPath.IXPathNavigable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Configuration.IConfigXmlNode</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="Load">
      <MemberSignature Language="C#" Value="public virtual void Load (string filename);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="filename" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="filename">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateElement">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlElement CreateElement (string prefix, string localName, string namespaceUri);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlElement</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="prefix" Type="System.String" />
		<Parameter Name="localName" Type="System.String" />
		<Parameter Name="namespaceUri" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="prefix">To be added: an object of type 'string'</param>
        <param name="localName">To be added: an object of type 'string'</param>
        <param name="namespaceUri">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlElement'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateAttribute">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlAttribute CreateAttribute (string prefix, string localName, string namespaceUri);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlAttribute</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="prefix" Type="System.String" />
		<Parameter Name="localName" Type="System.String" />
		<Parameter Name="namespaceUri" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="prefix">To be added: an object of type 'string'</param>
        <param name="localName">To be added: an object of type 'string'</param>
        <param name="namespaceUri">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlAttribute'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateWhitespace">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlWhitespace CreateWhitespace (string data);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlWhitespace</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="data" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="data">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlWhitespace'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateSignificantWhitespace">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlSignificantWhitespace CreateSignificantWhitespace (string data);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlSignificantWhitespace</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="data" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="data">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlSignificantWhitespace'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateTextNode">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlText CreateTextNode (string text);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlText</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="text" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="text">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlText'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateComment">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlComment CreateComment (string data);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlComment</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="data" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="data">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlComment'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateCDataSection">
      <MemberSignature Language="C#" Value="public virtual Xml.XmlCDataSection CreateCDataSection (string data);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Xml.XmlCDataSection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="data" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="data">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Xml.XmlCDataSection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="LoadSingleElement">
      <MemberSignature Language="C#" Value="public void LoadSingleElement (string filename, Xml.XmlTextReader sourceReader);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="filename" Type="System.String" />
		<Parameter Name="sourceReader" Type="System.Xml.XmlTextReader" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="filename">To be added: an object of type 'string'</param>
        <param name="sourceReader">To be added: an object of type 'Xml.XmlTextReader'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ConfigXmlDocument ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'ConfigXmlDocument'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="LineNumber">
      <MemberSignature Language="C#" Value="public int LineNumber { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Filename">
      <MemberSignature Language="C#" Value="public string Filename { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  <Member MemberName="Load">
      <MemberSignature Language="C#" Value="public void Load(string filename, string xml)" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="filename" Type="System.String" />
        <Parameter Name="xml" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added.</summary>
        <param name="filename">To be added.</param>
        <param name="xml">To be added.</param>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
